import { ValidationArguments } from 'class-validator';

export function hasProperPassengerSeats(args: ValidationArguments) {
  if (
    args.object['passenger'] === true &&
    typeof args.object['seatsPassenger'] === 'number'
  )
    return args.object['seatsPassenger'] > 0;
  else if (
    (args.object['passenger'] === false ||
      args.object['passenger'] === null ||
      args.object['passenger'] === undefined) &&
    (args.object['seatsPassenger'] === 0 ||
      args.object['seatsPassenger'] === null ||
      args.object['seatsPassenger'] === undefined)
  )
    return true;
  else return false;
}
